#### 3.1. Estimation of Transmitting-Receiving Azimuth

According to Equation (2), we can construct three

${M}_{t}{M}_{r}\times (L-2)$-dimensional data matrixes with the outputs of matched filters for L pulse cycle, they are as follows:

where

${\mathit{\beta}}_{1}=\left[\mathit{\beta}\left({t}_{1}\right),\mathit{\beta}\left({t}_{2}\right),\cdots ,\mathit{\beta}\left({t}_{L-2}\right)\right]$,

${\mathit{\beta}}_{2}=\left[\mathit{\beta}\left({t}_{2}\right),\mathit{\beta}\left({t}_{3}\right),\cdots ,\mathit{\beta}\left({t}_{L-1}\right)\right]$,

${\mathit{\beta}}_{3}=\left[\mathit{\beta}\left({t}_{3}\right),\mathit{\beta}\left({t}_{4}\right),\cdots ,\mathit{\beta}\left({t}_{L}\right)\right]$,

${\mathit{N}}_{1}=\left[\mathit{n}\left({t}_{1}\right),\mathit{n}\left({t}_{2}\right),\cdots ,\mathit{n}\left({t}_{L-2}\right)\right]$,

${\mathit{N}}_{2}=\left[\mathit{n}\left({t}_{2}\right),\mathit{n}\left({t}_{3}\right),\cdots ,\mathit{n}\left({t}_{L-1}\right)\right]$,

${\mathit{N}}_{3}=\left[\mathit{n}\left({t}_{3}\right),\mathit{n}\left({t}_{4}\right),\cdots ,\mathit{n}\left({t}_{L}\right)\right]$.

Because

$\mathit{\beta}\left({t}_{l}\right)={\xi}_{p}{e}^{j2\pi {f}_{dp}{t}_{l}},l=1,2,\cdots L$,

${t}_{l}=\left(l-1\right){T}_{r}$, where

${T}_{r}$ is the repetitive cycle of the pulse. Thus:

Here, ${\mathit{\Phi}}_{f}=diag\left[{e}^{j2\pi {f}_{d1}{T}_{r}},{e}^{j2\pi {f}_{d2}{T}_{r}},\cdots ,{e}^{j2\pi {f}_{dP}{T}_{r}}\right]$.

According to Equation (4), the noise matrixes

${N}_{1}$,

${N}_{2}$ and

${N}_{3}$ satisfy the following relationships:

Therefore, the cross-covariance matrixes of

${\mathit{Y}}_{2},{\mathit{Y}}_{3}$ and

${\mathit{Y}}_{1}$ are:

where

${\mathit{R}}_{{\mathit{\beta}}_{1}}={\mathit{\beta}}_{1}{\mathit{\beta}}_{1}^{H}/\left(L-2\right)$. The two formulas above show that the proposed method eliminates the effect of spatial colored noise because the time sampling information is used reasonably.

By eigenvalue decomposition (EVD) of

${\mathit{R}}_{{Y}_{2}{Y}_{1}}$, we can get:

where

${\mathit{V}}_{s}=\left[{\mathit{v}}_{1},{\mathit{v}}_{2},\cdots {\mathit{v}}_{P}\right]$ and

${\mathit{V}}_{n}=\left[{\mathit{v}}_{P+1},{\mathit{v}}_{P+2},\cdots ,{\mathit{v}}_{{M}_{t}{M}_{r}}\right]$ are the signal subspace and noise subspace, respectively.

${\mathit{\Sigma}}_{s}=diag\left[{\eta}_{1},{\eta}_{2},\cdots ,{\eta}_{P}\right]$ is a diagonal matrix composed of the

P non-zero eigenvalues.

To get the noise subspace,

${\mathit{R}}_{{Y}_{2}{Y}_{1}}$ is made to unit-diagonal-load using the diagonal-load method because the number of targets is unknown. That is:

${\mathit{I}}_{{M}_{t}{M}_{r}}={\mathit{V}}_{s}{\mathit{V}}_{s}^{H}+{\mathit{V}}_{n}{\mathit{V}}_{n}^{H}$ is used in the derivation of the above formula.

Therefore:

where

$m$ is an arbitrary integer. Because

$1/\left({\eta}_{p}+1\right)$ is a number less than 1, Equation (16) approaches the noise subspace when

$m$ approaches infinite.

i.e.,:

Thus, the noise subspace can be acquired without EVD of ${\mathit{R}}_{{Y}_{2}{Y}_{1}}$ and prediction of the number of targets. Equation (17) indicates that ${\mathit{R}}_{DL}^{-m}$ can converge to the noise subspace when $m\to \infty $. In fact, better performance can be acquired as long as $m$ is a smaller integer.

Accordingly, the optimization equation for the estimation of the target transmitting-receiving azimuth can be obtained based on the subspace theory:

From above, the judgment of the number of signal sources and the EVD of the data covariance matrix are not required in the estimation process of the algorithm. Therefore, this algorithm can greatly reduce the arithmetic complexity of the system.

Because

$\mathit{a}\left(\phi ,\theta \right)={\mathit{a}}_{r}\left(\theta \right)\otimes {\mathit{a}}_{t}\left(\phi \right)$, according to the property of the Kronecker product,

$\mathit{a}\left(\phi ,\theta \right)$ can be further expressed as follows:

Substituting Equation (19) into Equation (18), we can obtain the following:

Because the first element of

${\mathit{a}}_{t}\left(\phi \right)$ is 1, Equation (20) can be transformed into an optimization problem with constraints as follows:

where

${e}_{1}$ is the

${M}_{t}\times 1$-dimensional vector whose first element is 1 and other elements are 0.

By solving Equation (22), we can obtain the following:

According to Equation (23), searching for different $\theta $ in the range of $\left(-{90}^{\circ},{90}^{\circ}\right)$, we can obtain $P$ maximal spectral peaks of the (1,1) element in ${\mathit{F}}^{-1}\left(\theta \right)$, which correspond to $P$ DOA estimation values of the target. Then, substituting the $P$ DOA estimation values obtained above into Equation (24), we can obtain the corresponding target transmit steering vector ${\stackrel{\wedge}{\mathit{a}}}_{t}\left({\phi}_{p}\right)$.

Suppose that

${d}_{t,m}$ is the distance between the

mth transmitting array element and the reference array element. Given

${d}_{t,m}-{d}_{t,m-1}\le \lambda /2,m=2,3,\cdots ,{M}_{t}$,

${\stackrel{\wedge}{\phi}}_{p}$ can be calculated using the following formula:

where

${\widehat{a}}_{tp,m}$ is the

mth element of

${\widehat{a}}_{t}\left({\widehat{\phi}}_{p}\right)$ and

${d}_{t,1}=0$.

Given that

${d}_{t,m}-{d}_{t,m-1}>\lambda /2,m=2,3,\cdots ,{M}_{t}$, the estimation of

${\widehat{\varphi}}_{p}$ may be wrong according to Equation (25) because the estimation of

${\widehat{a}}_{tp,m}^{\ast}{\widehat{a}}_{tp,m-1}$ may be ambiguous. Thus,

${\stackrel{\wedge}{\phi}}_{p}$ can be acquired using a 1-dimensional search as follows:

To estimate the transmit steering vector ${\widehat{a}}_{t}\left({\phi}_{p}\right)$, the 1-dimensional search can be performed according to Equation (26) in the range of $\phi \in \left(-{90}^{\circ},{90}^{\circ}\right)$. Its maximum value is the DOD estimated value ${\widehat{\phi}}_{p}$, which can be automatically matched with the estimated receiving azimuth.

#### 3.2. Estimation of the Doppler Frequency

Suppose that

${\lambda}_{1},{\lambda}_{2},\cdots ,{\lambda}_{p}$ are

$P$ non-zero singular values of the matrix

${\mathit{R}}_{{Y}_{2}^{\text{'}}{Y}_{1}^{\text{'}}}$,

${u}_{1},{u}_{2},\cdots ,{u}_{P}$ and

${v}_{1},{v}_{2},\cdots ,{v}_{P}$ are, respectively, the left-singular vector and right-singular vector corresponding to the

$P$ non-zero singular values. The pseudo inverse of

${\mathit{R}}_{{Y}_{2}^{\text{'}}{Y}_{1}^{\text{'}}}$ is defined as follows:

Then, the matrix

$G$ can be constructed as:

Therefore, we can obtain:

Equation (29) means that ${\Phi}_{f}\left(p,p\right),p=1,2,\cdots ,P$ is the eigenvalue of the matrix $G$, and $a\left({\phi}_{p},{\theta}_{p}\right)$ is the corresponding eigenvector.

In fact, because the number of repetitive pulses is limited, Equation (29) is not strictly true. However, the 2-D azimuth

$\left({\phi}_{p},{\theta}_{p}\right)$ of the target and the Doppler frequency

${f}_{dp}$ can be jointly estimated through the following optimization problem:

From Equation (30), the transmitting-receiving azimuth and Doppler frequency are separable. The 2-D azimuth

$\left({\widehat{\phi}}_{p},{\widehat{\theta}}_{p}\right)$ of the target can be obtained through the method proposed in

Section 3.1. Meanwhile, given that the derivative of the target function of Equation (30) with respect

${f}_{d}$ is zero, the estimated Doppler frequency

${\widehat{f}}_{dp}$ can be obtained by minimizing the target function:

Therefore, substituting the estimated transmitting-receiving azimuth into the formula above, we can obtain the target Doppler frequency, and the acquired target Doppler frequency can be automatically matched with the transmitting-receiving azimuth.

During parameter estimation, only the time rotation factor is used; the array rotation invariance is not used. No special requirement for the array structure is required in this method, which is applied to the condition of the arbitrary structure of the transmitting and receiving array. For the algorithm proposed in [

13], when

${d}_{t,m}-{d}_{t,m-1}>\lambda /2,m=2,3,\cdots ,{M}_{t}$ and

${d}_{r,n}-{d}_{r,n-1}>\lambda /2,n=2,3,\cdots ,{M}_{r}$, an error in the angle estimation may occur, as is the case for Equation (25). Thus, it is only suitable for bistatic MIMO radars whereby

${d}_{t,m}-{d}_{t,m-1}\le \lambda /2,m=2,3,\cdots ,{M}_{t}$ and

${d}_{r,n}-{d}_{r,n-1}\le \lambda /2,n=2,3,\cdots ,{M}_{r}$. Therefore, the requirement for the distance of the transmitting and receiving array in the proposed method is lower than that of the algorithm proposed in reference [

13], and this method is applicable over a wider range.